package it.openutils.web.util;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;


/**
 * @author fgiust
 * @version $Revision$ ($Author$)
 */
public class MessageUtils
{
    public static void saveMessage(HttpServletRequest request, String message)
    {
        addToRequestList(request, message, "messages");
    }

    public static void saveError(HttpServletRequest request, String message)
    {
        addToRequestList(request, message, "errors");
    }

    private static void addToRequestList(HttpServletRequest request, String message, String listname)
    {
        List messages = (List) request.getAttribute(listname);

        if (messages == null)
        {
            messages = new ArrayList();
        }

        messages.add(message);
        request.setAttribute(listname, messages);
    }
}
